be.cin.mycarenet._1_0.carenet.types

## Class ExtCareReceiverDetailType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.CareReceiverDetailType
  - - be.cin.mycarenet._1_0.carenet.types.ExtCareReceiverDetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class ExtCareReceiverDetailType
      extends CareReceiverDetailType
      implements Serializable

  Extension of the CareReceiverDetailType used to details the Care Receiver in the 4XXXXX messages

  Java class for ExtCareReceiverDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExtCareReceiverDetailType">
         <complexContent>
           <extension base="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverDetailType">
             <sequence>
               <element name="RegNrWithMut" type="{urn:be:cin:mycarenet:1.0:carenet:types}RegNrWithMutType" minOccurs="0"/>
               <element name="Mutuality" type="{urn:be:cin:mycarenet:1.0:carenet:types}MutualityType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtCareReceiverDetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMutuality()` Gets the value of the mutuality property.
    `String` | `getRegNrWithMut()` Gets the value of the regNrWithMut property.
    `void` | `setMutuality(String value)` Sets the value of the mutuality property.
    `void` | `setRegNrWithMut(String value)` Sets the value of the regNrWithMut property.

    - ### Methods inherited from class be.cin.mycarenet._1_0.carenet.types.CareReceiverDetailType

      `getBirthday, getDeceased, getFirstName, getInss, getLastName, getSex, setBirthday, setDeceased, setFirstName, setInss, setLastName, setSex`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtCareReceiverDetailType

          public ExtCareReceiverDetailType()

  - ### Method Detail

    - #### getRegNrWithMut

          public String getRegNrWithMut()

      Gets the value of the regNrWithMut property.
      Returns:
        possible object is `String`

    - #### setRegNrWithMut

          public void setRegNrWithMut(String value)

      Sets the value of the regNrWithMut property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMutuality

          public String getMutuality()

      Gets the value of the mutuality property.
      Returns:
        possible object is `String`

    - #### setMutuality

          public void setMutuality(String value)

      Sets the value of the mutuality property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.